STOFFParagraph Class Reference documentation

STOFFParagraph Class Reference

class to store the paragraph properties More...

`#include <STOFFParagraph.hxx>`

## Public Member Functions
| STOFFParagraph ()
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | operator== (STOFFParagraph const &p) const
| operator==
bool | operator!= (STOFFParagraph const &p) const
| operator!=

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the properties
bool | m_outline
| flag to know if this is a outline level
bool | m_bulletVisible
| flag to know if the bullet is visible
int | m_listLevelIndex
| the actual level index
int | m_listId
| the list id (if know )
int | m_listStartValue
| the list start value (if set )
STOFFListLevel | m_listLevel
| the actual level

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFParagraph const &para)
| operator<<

## Detailed Description

class to store the paragraph properties

## Constructor & Destructor Documentation

## ◆ STOFFParagraph()

STOFFParagraph::STOFFParagraph | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## ◆ addTo()

void STOFFParagraph::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## ◆ operator!=()

bool STOFFParagraph::operator!= | ( | STOFFParagraph const & | p | ) | const
| inline

operator!=

## ◆ operator==()

bool STOFFParagraph::operator== | ( | STOFFParagraph const & | p | ) | const

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFParagraph const & | para )
| friend

operator<<

## Member Data Documentation

## ◆ m_bulletVisible

bool STOFFParagraph::m_bulletVisible

flag to know if the bullet is visible

Referenced by StarParagraphAttribute::StarPAttributeUInt::addTo(), operator==(), StarObjectTextInternal::TextZone::send(), and STOFFParagraph().

## ◆ m_listId

int STOFFParagraph::m_listId

the list id (if know )

Referenced by operator<<, operator==(), StarObjectTextInternal::TextZone::send(), and STOFFParagraph().

## ◆ m_listLevel

STOFFListLevel STOFFParagraph::m_listLevel

the actual level

Referenced by StarParagraphAttribute::StarPAttributeBulletNumeric::addTo(), StarParagraphAttribute::StarPAttributeBulletSimple::addTo(), operator<<, operator==(), StarObjectTextInternal::TextZone::send(), and STOFFParagraph().

## ◆ m_listLevelIndex

int STOFFParagraph::m_listLevelIndex

the actual level index

Referenced by StarParagraphAttribute::StarPAttributeUInt::addTo(), StarItemPool::defineParagraphStyle(), operator<<, operator==(), StarObjectSmallTextInternal::Paragraph::send(), StarObjectTextInternal::TextZone::send(), and STOFFParagraph().

## ◆ m_listStartValue

int STOFFParagraph::m_listStartValue

the list start value (if set )

Referenced by operator==(), and STOFFParagraph().

## ◆ m_outline

bool STOFFParagraph::m_outline

flag to know if this is a outline level

Referenced by StarItemPool::defineParagraphStyle(), operator==(), StarObjectTextInternal::TextZone::send(), and STOFFParagraph().

## ◆ m_propertyList

librevenge::RVNGPropertyList STOFFParagraph::m_propertyList

the properties

Referenced by StarFrameAttribute::StarFAttributeBorder::addTo(), StarFrameAttribute::StarFAttributeBrush::addTo(), StarFrameAttribute::StarFAttributeLineNumbering::addTo(), StarFrameAttribute::StarFAttributeLRSpace::addTo(), StarFrameAttribute::StarFAttributeULSpace::addTo(), StarParagraphAttribute::StarPAttributeAdjust::addTo(), StarParagraphAttribute::StarPAttributeBool::addTo(), StarParagraphAttribute::StarPAttributeDrop::addTo(), StarParagraphAttribute::StarPAttributeLineSpacing::addTo(), StarParagraphAttribute::StarPAttributeTabStop::addTo(), StarParagraphAttribute::StarPAttributeUInt::addTo(), addTo(), StarItemPool::defineParagraphStyle(), STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFTextListener::defineStyle(), operator<<, operator==(), and STOFFParagraph().

The documentation for this class was generated from the following files:

- STOFFParagraph.hxx
- STOFFParagraph.cxx